package com.hzya.frame.u8c.ax.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.u8c.ax.entity.ArchivesEntity;
import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.web.entity.JsonResultEntity;

public interface IAxService extends IBaseService<ArchivesEntity, String>{
    /**
     * @Author lvleigang
     * @Description  凭证新增
     * @Date 3:42 下午 2024/4/24
     * @param object
     * @return com.hzya.frame.web.entity.JsonResultEntity
     **/
    JsonResultEntity thirdInterfaceVoucherInsert(JSONObject object);
    /**
     * @Author lvleigang
     * @Description  档案新增
     * @Date 3:42 下午 2024/4/24
     * @param object
     * @return com.hzya.frame.web.entity.JsonResultEntity
     **/
    JsonResultEntity thirdInterfaceArchivesInsert(JSONObject object);
    /**
     * @Author lvleigang
     * @Description  档案修改
     * @Date 3:42 下午 2024/4/24
     * @param object
     * @return com.hzya.frame.web.entity.JsonResultEntity
     **/
    JsonResultEntity thirdInterfaceArchivesUpdate(JSONObject object);
    /**
     * @Author lvleigang
     * @Description  档案删除
     * @Date 3:42 下午 2024/4/24
     * @param object
     * @return com.hzya.frame.web.entity.JsonResultEntity
     **/
    JsonResultEntity thirdInterfaceArchivesDelete(JSONObject object);
}
